/* SAMHAIN file system integrity testing                                   */
/* Copyright (C) 1999 Rainer Wichmann                                      */
/*                                                                         */
/*  This program is free software; you can redistribute it                 */
/*  and/or modify                                                          */
/*  it under the terms of the GNU General Public License as                */
/*  published by                                                           */
/*  the Free Software Foundation; either version 2 of the License, or      */
/*  (at your option) any later version.                                    */
/*                                                                         */
/*  This program is distributed in the hope that it will be useful,        */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/*  GNU General Public License for more details.                           */
/*                                                                         */
/*  You should have received a copy of the GNU General Public License      */
/*  along with this program; if not, write to the Free Software            */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.              */

#ifndef SH_FORWARD_H
#define SH_FORWARD_H

#ifndef SH_STANDALONE
int sh_forward_set_strip (char * str);

#endif

/* create client entry for given password
 */
int sh_forward_make_client (char * str);

#ifdef SH_WITH_SERVER

/* register a client
 */
int sh_forward_register_client (char * str);

/* start server
 */
void sh_receive();

/* free() everything
 */
void sh_forward_free_all ();

#endif

#ifdef SH_WITH_CLIENT
/* talk to server
 */
int  sh_forward (char * errmsg);
/* set log server
 */
int sh_forward_setlogserver (char * address);
#endif

#endif
